QGIS Application - Bug report #20201

Forms in search mode: relation reference widgets show "equal to" be default instead of "Exclude

field"
2018-10-24 09:20 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee: Denis Rouzaud

Category: Forms

Affected QGIS version:3.3(master) Regression?:

Operating System: any Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28022
Description

When opening an attribute table and is switching to "Search mode" (Ctrl-F), all widget values should be excluded from the search by

default.

However, all relation reference widgets, default to "equal to" be default, when entering a new search. This should be changed to "Exclude

field" by default.

Otherwise the search may search for NULL values in the relation reference widget by default or the first entry (if there are no NULL

values), resulting in a lot less (or no) results.

Associated revisions

Revision 95142cc1 - 2018-10-25 10:38 PM - Denis Rouzaud

use Exclude field by default for relation search widget wrapper

fix #20201

History

#1 - 2018-10-25 10:34 PM - Denis Rouzaud

- Assignee set to Denis Rouzaud

#2 - 2018-10-26 08:24 AM - Denis Rouzaud
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|95142cc19e9fb68977e6c9e3989194e012b2d107.
